Skip to main content
GET
/
public
/
{user_id}
/
products
/
bundles
List Bundle Variants
curl --request GET \
  --url https://apigw.ipxo.com/ecommerce/public/{user_id}/products/bundles \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "uuid": "3739e605-9d90-3077-9f9e-26d93deada17",
      "name": "Aut vero.",
      "short_description": "Consectetur repellendus est vel.",
      "type": "bundle_variant",
      "price": {
        "currency": "USD",
        "amount": "697.00",
        "amount_minor": 69700
      }
    },
    {
      "uuid": "431161b2-2a79-3b74-afb9-e71cb47b2892",
      "name": "Animi velit inventore.",
      "short_description": "Sint similique maxime nemo consequatur.",
      "type": "bundle_variant",
      "price": {
        "currency": "USD",
        "amount": "381.00",
        "amount_minor": 38100
      }
    }
  ],
  "meta": {
    "current_page": 1,
    "total": 2,
    "per_page": 10
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

user_id
string
required

The ID of the user.

Query Parameters

include
enum<string>

A comma-separated list of relationships to include. Multiple parameters are allowed.

Available options:
productVariants,
purchasableSubscription,
purchasableSubscription.subscriptionPlan
Example:

"productVariants"

Response

200 - application/json
data
object[]
Example:
[
{
"uuid": "3739e605-9d90-3077-9f9e-26d93deada17",
"name": "Aut vero.",
"short_description": "Consectetur repellendus est vel.",
"type": "bundle_variant",
"price": {
"currency": "USD",
"amount": "697.00",
"amount_minor": 69700
}
},
{
"uuid": "431161b2-2a79-3b74-afb9-e71cb47b2892",
"name": "Animi velit inventore.",
"short_description": "Sint similique maxime nemo consequatur.",
"type": "bundle_variant",
"price": {
"currency": "USD",
"amount": "381.00",
"amount_minor": 38100
}
}
]
meta
object